 	.386
	.model	use32 small

	extrn	allerrl : proc
	public	_hypotl
	.data
nm	db	"hypotl",0

	.code
_hypotl:
	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	lea	edx,[ebp+20]
	fld	tbyte ptr [ecx]
	fld	st(0)
	fmulp	st(1)
	fld	tbyte ptr [edx]
	fld	st(0)
	fmulp	st(1)
	faddp	st(1)
	fsqrt
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end